FreeMat

- Main Page
- Related Pages

ASIN Inverse Trigonometric Arcsine Function

Section: Mathematical Functions

# Usage

Computes the `asin` function for its argument. The general syntax for its use is

      y = asin(x)

where `x` is an `n`-dimensional array of numerical type. Integer types are promoted to the `double` type prior to calculation of the `asin` function. Output `y` is of the same size and type as the input `x`, (unless `x` is an integer, in which case `y` is a `double` type).

# Internals

Mathematically, the `asin` function is defined for all arguments `x` as

For real valued variables `x` in the range `[-1,1]`, the function is computed directly using the standard C library's numerical `asin` function. For both real and complex arguments `x`, note that generally

due to the periodicity of `sin(x)`.

# Example

The following code demonstates the `asin` function over the range `[-1,1]`.

    --> t = linspace(-1,1);
    --> plot(t,asin(t))